Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.samples.basic
Class NullFilter

    java.lang.Object
      org.jboss.portal.portlet.samples.basic.NullFilter

All Implemented Interfaces:
  javax.portlet.filter.ActionFilter, javax.portlet.filter.EventFilter, javax.portlet.filter.PortletFilter, javax.portlet.filter.RenderFilter, javax.portlet.filter.ResourceFilter

    public class NullFilter

extends java.lang.Object
implements javax.portlet.filter.RenderFilter, javax.portlet.filter.ActionFilter, javax.portlet.filter.EventFilter, javax.portlet.filter.ResourceFilter

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`NullFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ActionRequest req, ActionResponse resp, javax.portlet.filter.FilterChain chain)`
`void` | `doFilter(javax.portlet.EventRequest req, javax.portlet.EventResponse resp, javax.portlet.filter.FilterChain chain)`
`void` | `doFilter(RenderRequest req, RenderResponse resp, javax.portlet.filter.FilterChain chain)`
`void` | `doFilter(javax.portlet.ResourceRequest req, javax.portlet.ResourceResponse resp, javax.portlet.filter.FilterChain chain)`
`void` | `init(javax.portlet.filter.FilterConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullFilter

    public NullFilter()

Method Detail

### init

    public void init(javax.portlet.filter.FilterConfig config)
              throws PortletException

  Specified by:
    `init` in interface `javax.portlet.filter.PortletFilter`
  Throws:
    `PortletException`

### doFilter

    public void doFilter(RenderRequest req,
                         RenderResponse resp,
                         javax.portlet.filter.FilterChain chain)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.RenderFilter`
  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(ActionRequest req,
                         ActionResponse resp,
                         javax.portlet.filter.FilterChain chain)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.ActionFilter`
  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(javax.portlet.EventRequest req,
                         javax.portlet.EventResponse resp,
                         javax.portlet.filter.FilterChain chain)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.EventFilter`
  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(javax.portlet.ResourceRequest req,
                         javax.portlet.ResourceResponse resp,
                         javax.portlet.filter.FilterChain chain)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.ResourceFilter`
  Throws:
    `java.io.IOException`
    `PortletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.filter.PortletFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.